/***************************************************************************
***
***    Copyright 2005  Hon Hai Precision Ind. Co. Ltd.
***    All Rights Reserved.
***    No portions of this material shall be reproduced in any form without the
***    written permission of Hon Hai Precision Ind. Co. Ltd.
***
***    All information contained in this document is Hon Hai Precision Ind.  
***    Co. Ltd. company private, proprietary, and trade secret property and 
***    are protected by international intellectual property laws and treaties.
***
****************************************************************************/

#ifndef __FLASH_CONF_H
#define __FLASH_CONF_H

/* for WGR614v9 2m/8m */
#define FLASH_SIZE              2 * 1024 * 1024

#define FLASH_BASE              0xBC000000
#define KERNEL_FLASH_ADDR       0xBC020000
#define KERNEL_RAM_ADDR         0x80001000

#define BOARD_DATA_ADDR         (FLASH_BASE + FLASH_SIZE - 0x5000)

#define KERNEL_LEN_ADDR         (FLASH_BASE + FLASH_SIZE - 0x6000 - 8)
#define KERNEL_CHKSUM_ADDR      (KERNEL_LEN_ADDR + 4)

#define BOARD_ID_LEN            64
struct board_data
{
    unsigned char board_id[BOARD_ID_LEN];
    unsigned char lan_mac[6];
    unsigned char wan_mac[6];
    /*unsigned char boot_wait[2];*/
};

extern int verify_checksum(char *buf, unsigned long buf_len, unsigned long chksum);
extern int verify_board_id(char *buf);
extern int read_board_data(void);


//#define GPIO_LED_GREEN      2
//#define GPIO_LED_AMBER      3
#define GPIO_LED_WAN        4
#define GPIO_LED_WLAN       5
#define GPIO_LED_TEST       6
#define GPIO_RESET          7

extern int test_led_toggle(void);
extern int test_led_control(int on_off);
extern int wlan_led_control(int on_off);
extern int wan_led_control(int on_off);
extern int lan_led_control(int port, int status);
extern void enable_power_led(void);

extern int check_reset(void);
#endif
