#if !defined WSC_GPIO_HDR
#define WSC_GPIO_HDR


#ifdef __cplusplus
extern "C" {
#endif


#define WSC_NV_EVENT		"wsc_event"
#define WSC_GPIO_BUTTON_VALUE	"wsc_button"
#define WSC_GPIO_LED_VALUE	"wsc_led"

#define WSC_NV_BTN_ASSERTLVL	"wsc_button_assertlvl"
#define WSC_NV_LED_ASSERTLVL	"wsc_led_assertlvl"

#define WSC_LONG_PRESSTIME	5	/* seconds */
#define WSC_BTNSAMPLE_PERIOD	(500 * 1000)	/* 500 ms */
#define WSC_BTN_ASSERTLVL	0
#define WSC_LED_ASSERTLVL	1
#define WSC_BUTTON_POLL_TIME		500	/* in ms */

#define WSC_EVTI_NULL		0
#define WSC_EVTI_STATUS		1
#define WSC_EVTI_INIT_CONDITION	2	/* configurator factory reset */
#define WSC_EVTI_NW_GEN_WSC	3	/* generate WSC network */

typedef enum wsc_btnpress {
	WSC_NO_BTNPRESS = 0,
	WSC_SHORT_BTNPRESS,
	WSC_LONG_BTNPRESS
} wsc_btnpress_t;

extern int wsc_gpio_btn_init ();
extern void wsc_gpio_btn_cleanup ();
extern wsc_btnpress_t wsc_btn_pressed ();
extern int brcm_wsc_event_get();
extern int brcm_wsc_retrieve_event();
extern int Wsc_monitorPBC_loop();
extern void *monitorConsoleThread(void *p_data);
extern void set_mnConsoleFlag(int value);

#ifdef __cplusplus
}
#endif


#endif

